%define ver_major 0.7
%define real_name gtkmathview

Name: lib%real_name
Version: %ver_major.7
Release: alt1

Summary: A MathML rendering library
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%real_name-%version.tar.gz

Patch1: gtkmathview-0.7.7-without-binreloc.patch
Patch2: gtkmathview-0.7.7-stdcpp-link-fix.patch
Patch3: gtkmathview-0.7.7-link-backends-fix.patch

%define gtk_ver 2.2.4
%define libxml2_ver 2.5.6

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Wed Dec 14 2005
BuildRequires: fontconfig-devel gnome-libs-devel libcairo-devel libglitz-devel libpng-devel 
BuildRequires: libpopt-devel pkg-config xorg-x11-devel xsltproc zlib-devel t1lib-devel
BuildRequires: freetype2-devel gcc-c++ glib2-devel gtk-doc libart_lgpl-devel libatk-devel 
BuildRequires: libexpat-devel libgnomeprint2-devel libgtk+2-devel libpango-devel libstdc++-devel 

Requires: libgtk+2 >= %gtk_ver
Requires: libxml2 >= %libxml2_ver
 
%description
GtkMathView is a C++ rendering engine for MathML documents. 
It provides an interactive view that can be used for browsing 
and editing MathML markup.

%package -n %name-devel
Summary: Libraries, headers, and support files needed for using gtkmathview.
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libxml2-devel >= %libxml2_ver

%description -n %name-devel
Libraries, headers, and support files needed for using gtkmathview.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q -n %real_name-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -fisv
%configure --with-t1lib=yes  --with-libxml2
	
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%find_lang %name-1.0

%post -n %name -p %post_ldconfig
%postun -n %name -p %postun_ldconfig

%files -f %name-1.0.lang
%_bindir/mathmlsvg
%_libdir/*.so.*
%_datadir/%real_name
%_man1dir/mathml*
%dir %_sysconfdir/%real_name
%config(noreplace) %_sysconfdir/%real_name/*.xml
%doc AUTHORS ChangeLog NEWS README

%files -n %name-devel
%_includedir/%real_name/*
%_libdir/*.so
%exclude %_libdir/*.a
%_libdir/pkgconfig/*.pc
%doc AUTHORS README BUGS CONTRIBUTORS NEWS ANNOUNCEMENT TODO


%changelog
* Fri Oct 06 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.7.7-alt1
- New version.

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.6-alt1.1
- Rebuilt for new pkg-config dependencies.

* Wed Dec 14 2005 Vital Khilko <vk@altlinux.ru> 0.7.6-alt1
- initial build

